LayoutInfo (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.spi.builder

## Class LayoutInfo

- java.lang.Object
- - com.ibm.streamsx.topology.spi.builder.LayoutInfo

-     public class LayoutInfo
      extends java.lang.Object

  Layout hints for the Streams console.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutInfo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `group(com.google.gson.JsonObject invokeInfo, com.google.gson.JsonObject... others)` Group multiple operators together.
    `static java.lang.String` | `group(com.google.gson.JsonObject invokeInfo, java.lang.String kind, java.lang.String name, java.lang.String id)` Provide a hint that that an operator invocation should be grouped with other operator invocations.
    `static void` | `hide(com.google.gson.JsonObject invokeInfo)` Provide a hint that the operator invocation should be hidden.
    `static void` | `kind(com.google.gson.JsonObject invokeInfo, java.lang.String kind)` Provide a hint that the operator invocation kind should be set to `kind` instead of its SPL kind.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutInfo

          public LayoutInfo()

  - ### Method Detail

    - #### hide

          public static void hide(com.google.gson.JsonObject invokeInfo)

      Provide a hint that the operator invocation should be hidden.
      Parameters:
        `invokeInfo` - Operator invocation information.

    - #### kind

          public static void kind(com.google.gson.JsonObject invokeInfo,
                                  java.lang.String kind)

      Provide a hint that the operator invocation kind should be set to `kind` instead of its SPL kind.
      Parameters:
        `invokeInfo` - Operator invocation information.
        `kind` - Kind to display for operator invocation.

    - #### group

          public static java.lang.String group(com.google.gson.JsonObject invokeInfo,
                                               java.lang.String kind,
                                               java.lang.String name,
                                               java.lang.String id)

      Provide a hint that that an operator invocation should be grouped with other operator invocations. All operator invocations in a topology within the same `id` will be shown as a single operator invocation in the Streams console. The name and kind of the invocation are taken from `name` and `kind`.
      Parameters:
        `invokeInfo` - Operator invocation information.
        `kind` - Kind to display for the group operator invocation.
        `name` - Name of the group operator invocation.
        `id` - Group identifier, if `null` a new identifier is created.
      Returns:
        `id` if it was non-null, otherwise a new identifier.

    - #### group

          public static java.lang.String group(com.google.gson.JsonObject invokeInfo,
                                               com.google.gson.JsonObject... others)

      Group multiple operators together.
      Parameters:
        `invokeInfo` - Operator invocation with existing group information created by `group(JsonObject, String, String, String)`.
        `others` - Operator invocations to be grouped with operator invocation represented by `invokeInfo`.
      Returns:
        Group identifier.